# 32/64bit spec
#
%define dname %{name}_%version

Summary:	Lists files open by processes
Summary(de):	Listet alle von Prozessen geöffneten Dateien auf
Name:		lsof
Version:	4.89
Release:	%mkrel 1
License:	Free
URL:		ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof
Group:		Monitoring
Source0:	ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/%dname.tar.xz
Patch0:		lsof_4.64-perl-example-fix.patch
Patch1:		lsof_4.87-has-security.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{version}-buildroot

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%description -l de
Lsof's Name steht für LiSt Open Files (Liste offene Dateien auf) und es 
macht nur dies. Es listet Informationen über Dateien die von laufenden 
Prozessen in einem Unix-System geöffnet wurden.

%prep
%setup -q -c -n %{dname}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d %{dname} ] && cd %{dname}
[ -f %{dname}_src.tar ] && tar xf %{dname}_src.tar
[ -d %{dname}.linux -a ! -d %{dname} ] && \
	mv %{dname}.linux %{dname}
[ -d %{dname}_src ] && cd %{dname}_src

%patch0 -p1
%patch1 -p1

%build
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src

LINUX_BASE=/proc LSOF_LDFLAGS="%{ldflags}" ./Configure -n linux

find -name Makefile | xargs perl -pi -e "s|^CFGL=.*|CFGL=%{ldflags} -L./lib -llsof|g"

%make DEBUG="%{optflags}"

%install
rm -rf %{buildroot}
[ -d %{dname}/%{dname}_src ] && cd %{dname}/%{dname}_src
install -s %{name} -D %{buildroot}%{_sbindir}/%{name}
install -m644 lsof.8 -D %{buildroot}%{_mandir}/man8/lsof.8

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{dname}/00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man8/lsof.8*


%changelog
* Tue Oct 13 2015 bb <bb> 4.89-1pclos2015
- update

* Sun Jun 21 2015 bb <bb> 4.88-1pclos2015
- update

* Wed Mar 06 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 4.87-1pclos2013
- 4.87
- added german summary and description
- updated patch 1

